<template>
  <div class="list-item">
    <div> codigo: {{ modulo.codigo_modulo }} </div>
    <div> minimo de disciplinas: {{ modulo.minimo_disciplinas }} </div>
    <div> trilha: {{ modulo.id_trilha }} </div>

    <router-link
      class="edit_button"
      tag="div"
      to="/trilhas/edit"
      @click.native="editModulo">
      Edit
    </router-link>

    <router-link
      class="new_button"
      tag="div"
      to="/trilhas/new"
      @click.native="newModulo">
      New
    </router-link>

    <router-link
      class="delete_button"
      tag="div"
      to="/trilhas"
      @click.native="deleteModulo">
      Delete
    </router-link>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';

export default {
  props: ['modulo'],

  methods: {
    editModulo() {
      this.$store.commit('setActiveModulo', { modulo: this.modulo });
      this.$store.commit('setMode', { mode: 'modulo'});
    },

    newModulo() {
      this.$store.commit('setMode', {mode: 'modulo'})
    },

    async deleteModulo() {
      const response = await this.$axios.$post('/rpc/deleta_modulo', {
        nusp: this.getNusp,
        cdg_modulo: this.modulo.codigo_modulo
      },
      { headers: {Authorization: `Bearer ${this.getToken}`} }
      );

      if(response)
        this.$router.go('/trilhas');
    }
  },

  computed: {
    ...mapGetters([
      'getToken',
      'getNusp'
    ])
  }
}
</script>
